import request from '@/utils/request'

// 查询采购计划列表
export function listProcurePlan(query) {
  return request({
    url: '/oa/procurePlan/list',
    method: 'get',
    params: query
  })
}

// 查询采购计划详细
export function getProcurePlan(procurePlanId) {
  return request({
    url: '/oa/procurePlan/' + procurePlanId,
    method: 'get'
  })
}

// 新增采购计划
export function addProcurePlan(data) {
  return request({
    url: '/oa/procurePlan',
    method: 'post',
    data: data
  })
}

// 修改采购计划
export function updateProcurePlan(data) {
  return request({
    url: '/oa/procurePlan',
    method: 'put',
    data: data
  })
}

// 删除采购计划
export function delProcurePlan(procureApplyId) {
  return request({
    url: '/oa/procurePlan/' + procureApplyId,
    method: 'delete'
  })
}
